*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    box-sizing: border-box;
}
.offercarousel{
    height: 100vh;
    width: 100%;
    background-color: aliceblue;
    /* border: 1px solid red; */
    overflow-x: hidden;
}
/* .carousel-inner.carousel-item{
    height: 20vh;
    width: 100%;
} */



.offercarousel .sub1_offercarousel{
    height: 100%;
    width: 100%;
    background-color: aliceblue;
    /* border: 1px solid red; */


}
.sub1_offercarousel .carousel-inner{
    height: 100%;
    width: 100%;
}
.sub1_offercarousel .carousel-inner .carousel-item{
    height: 100%;
    width: 100%;

}
.sub1_offercarousel .carousel-inner .carousel-item img{
    height: 100%;
    width: 100%;
}


.mainsection{
    height: 110vh;
    width: 100%;
    /* border: 1px solid red; */
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    position: relative;
}
.mainsection .navbar{
    height: 60px;
    width: 100%;
    /* border: 1px solid red; */
    background-color: #bce1f194;
    z-index: 2;
    padding:0 1vw;
    box-sizing: border-box;
    position: relative;
}
.mainsection .herosection{
    height: calc(110vh - 60px);
    width: 100%;
    /* border: 1px solid black; */
}
.mainsection img{
    /* height: 100%; */
    position: absolute;
    width: 100%;
    z-index: -1;
}

.sec1_navbar{
    height: 100%;
    width: 30%;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    position: relative;
    z-index: 5;

}
.mainsection .navbar .sec1_navbar a{
    height: 100%;
    width: fit-content;
    display: flex;
    align-items: center;
}
.mainsection .navbar .sec1_navbar img{
    height: 95%;
    width: auto;
    filter: contrast(3);
    position: relative;
}
.mainsection .navbar .sec1_navbar a:last-child{
    height: fit-content;
    color: #106314;
    margin-left: 1vw;
}
.sec2_navbar{
    height: 100%;
    width: 30%;
    /* border: 1px solid red; */
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    z-index: 5;

}
.sec2_navbar a{
    color: black;
    font-size: 12px;
    font-weight: 500;
}


.navbar::before {
    content: "";
    position: absolute;
    top: 0;
    left: -50%;
    width: 10%;
    height: 100%;
    inset: 0;
    z-index: 2;
    background: linear-gradient(
        120deg,
        transparent,
        rgba(241, 245, 245, 0.753),
        transparent
    );
    filter: blur(10px);
    animation: glowMove 10s linear infinite alternate;
    
}

@keyframes glowMove {
    from {
        left: -50%;
    }
    to {
        left: 100%;
    }
}

.sec2_navbar .navlink_active {
    text-decoration: underline;
    text-underline-offset: 4px;
    text-decoration-thickness: 1.5px;
    text-decoration-color: #039BE5;
}

.sec3_navbar{
    height: 100%;
    width: 30%;
    z-index: 5;
    display: flex;
    align-items: center;
    justify-content: flex-end;

    /* border: 1px solid red; */
}
.loginbutton{
    height: 35px;
    width: fit-content;
    padding: 0 1vw;
    border: 1px solid #ad6104;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border-radius: 2px;
    color: black;
    font-weight: 450;
}
.loginbutton svg{
    margin-right: 5px;
    color: #ad6104;
}

.cliniccentre_map{
    display: flex;
    flex-direction: row;
    width: 100%;
    border: 1px solid red;
}
.sec3_navbar .hamburgericon svg{
    color: #c06a01;
    cursor: pointer;
}
.sec3_navbar .hamburgericon{
    display: none;
}
#div_containmapaddress{
    width: 100%; 
    display:flex; 
    justify-content:space-between;
}
#div_containmapaddress div:first-child{
    width: 30%; 
}
#div_containmapaddress div:last-child{
    width: 60%; 
}
.mobilemenu{
    display: none;
}



















@media screen and (max-width:700px) {
    .sec1_navbar{
        width: 50%;
    }
    .sec2_navbar{
        display: none;
    }
    .sec3_navbar a{
        display: none;
    }
    .sec3_navbar .hamburgericon{
        display: block;
    }
    .mainsection .herosection{
        height: 25vh;
    }
    .mainsection{
        height: fit-content;
    }
    #home{
        height: 50vh;
        position: relative;
    }
    #home #heroCarousel{
        height: 100%;
    }
    #home #heroCarousel .carousel-inner{
        height: 100%;
    }
    #home #heroCarousel .carousel-inner .carousel-item{
        height: 100%;
        display: flex;
        align-items: center;
    }
    #home #heroCarousel .carousel-control-prev{
        height: 100%;
        /* border: 1px solid red; */
        width: 7%;
    }
    #home #heroCarousel .carousel-control-next{
        height: 100%;
        /* border: 1px solid red; */
        width: 7%;
    }
    .hero-content{
        width: 85%;
    }
    .hero-content h1{
        display: flex;
        width: 100%;
        font-size: 20px;
    }
    .hero-content a{
        font-size: 17px;
        font-size: 12px;
    }
    #contact{
        height: fit-content;
        /* border: 1px solid red; */
        padding: 0vw;
        margin-bottom: 100px;
    }
    #contact #cliniccentre_map{
        display: flex;
        flex-direction: column;
        align-items: center;

    }
    #div_containmapaddress{
        width: 100%; 
        display:flex; 
        flex-direction: column;
        justify-content:space-between;
        align-items: center;
        /* border: 1px solid red; */
        
    }
    #div_containmapaddress div:first-child{
        width: 90%; 
    }
    #div_containmapaddress div:last-child{
        width: 90%; 
    }
    #footer{
        height: 133px;
    }

    .mainsection{
        position: relative;
    }
    .mobilemenu{
        height: calc(100vh - 40px);
        width: 100%;
        display: flex;
        flex-direction: column;
        background-color: white;
        /* border: 1px solid red; */
        position: absolute;
        top: 0;
        transform: translateY(60px);
        z-index: 500;
        padding: 1vw;
        box-sizing: border-box;
        display: none;
    }
    .navlinks{
        height: fit-content;
        display: flex;
        flex-direction: column;
        padding: 3vw;
    }
    .navlinks a{
        margin-bottom: 10px;
        color: black;
    }
    .mobilemenu .buttons{
        height: fit-content;
        display: flex;
        flex-direction: column;
        padding: 3vw;
    }
    .mobilemenu .buttons .loginbutton{
        width: 80px;
        padding: 0 1vw;
        justify-content: space-evenly;
    }
}

@media screen and (min-width:701px) and (max-width:1024px){
    .mainsection{
        height: fit-content;
    }
    .mainsection .herosection{
        height: 45vh;
    }
    #home{
        height: 50vh;
        position: relative;
    }
    #home #heroCarousel{
        height: 100%;
    }
    #home #heroCarousel .carousel-inner{
        height: 100%;
    }
    #home #heroCarousel .carousel-inner .carousel-item{
        height: 100%;
        display: flex;
        align-items: center;
    }
    #home #heroCarousel .carousel-control-prev{
        height: 100%;
        /* border: 1px solid red; */
        width: 7%;
    }
    #home #heroCarousel .carousel-control-next{
        height: 100%;
        /* border: 1px solid red; */
        width: 7%;
    }
    .hero-content{
        width: 85%;
        margin: 0 auto;
        display: flex;
        flex-direction: column;
        align-items: center;
       
    }
    .hero-content h1{
        display: flex;
        
        font-size: 30px;
    }
    .hero-content a{
        font-size: 17px;
        margin-top: 20px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    #contact{
        height: 70vh;
    }
    #footer{
        height: 17vh;
        /* margin-bottom: 100vh; */
    }

}